// SY-170 breadboard - Copyright (C) J. Michael, Hypercube Semiconductors 2018
// Released under GPL 3 license - https://www.gnu.org/licenses/gpl-3.0.en.html


delta = 0.01;       // Everything is in millimeters

$fn=30;

breadboard_height = 8;

module pins(){
    color([0.6,0.6,0.6,0.4])
        translate([0,0,6.1])
        linear_extrude(2,convexity = 10)
            import("breadboard_SY_170_pins.dxf");
}


module base(){
    color([0.9,0.6,0.2,1])
        linear_extrude(breadboard_height,convexity = 10)
            import("breadboard_SY_170_base.dxf");
}

module wings(){
    color([0.9,0.6,0.2,1])
        translate([0,0,0])
        rotate([0,0,0])
        linear_extrude(4.7,convexity = 10)
            import("breadboard_SY_170_wings.dxf");
}


module hooks(){
    color([0.9,0.6,0.2,1])
        translate([0,0,-delta])
        rotate([0,0,0])
        linear_extrude(4.7,convexity = 10)
            import("breadboard_SY_170_hooks.dxf");
}


module screw_hole(){
    color([0.9,0.6,0.2,1])
        translate([0,0,-delta])
        linear_extrude(breadboard_height+2*delta,convexity = 10)
            import("breadboard_SY_170_screw_hole.dxf");
}

module screw_hole_step(){
    color([0.9,0.6,0.2,1])
        translate([0,0,5])
        linear_extrude(3+delta,convexity = 10)
            import("breadboard_SY_170_screw_hole_step.dxf");
}

module slot_step(){
    color([0.9,0.6,0.2,1])
        translate([0,0,5])
        linear_extrude(3+delta,convexity = 10)
            import("breadboard_SY_170_slot_step.dxf");
}


module main_body() {
    difference() {
        base();
        pins();
        hooks(); 
        screw_hole();
        screw_hole_step();
        slot_step();
    }
}

module full_body() {
    union() {
        main_body();
        wings();
    }
}

//main_body();

full_body();

